%define build_plf 0
%{?_with_plf: %{expand: %%define build_plf 1}}

%define name	freetype2-tools
%define	version	2.1.7
%define rel	1

%if %build_plf
%define release	%{rel}plf
%else
%define	release	%{rel}mdk
%endif

Name:		%name
Summary:	A free and portable TrueType font rendering engine
Version:	%version
Release:	%release
License:	FreeType License/GPL
URL:		http://www.freetype.org/
Source0:	freetype-%{version}.tar.bz2
Source1:	ftdocs-%{version}.tar.bz2
Source2:	ft2demos-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	XFree86-devel
BuildRequires:	zlib-devel
BuildRequires:	freetype2-devel
Requires:	freetype2 = %{version}
Group:		System/Libraries

%description
Tools to manipulate fonts supported by freetype2.

%prep
%setup -q -n freetype-%version -b 1 -a 2

%if %build_plf
perl -pi -e 's|/\* #define  TT_CONFIG_OPTION_BYTECODE_INTERPRETER \*/|#define TT_CONFIG_OPTION_BYTECODE_INTERPRETER|' include/freetype/config/ftoption.h
%endif

%build
%{?__cputoolize: %{__cputoolize} -c builds/unix}
%configure2_5x
%make
(cd ft2demos-%{version}
make TOP_DIR=.. )

%install
rm -rf %buildroot
mkdir -p %buildroot%{_bindir}
(cd ft2demos-%{version}/bin/.libs
install -m 755 * %buildroot%{_bindir})

%clean
rm -fr %buildroot

%files
%defattr(-, root, root)
%{_bindir}/ft*
%{_bindir}/testname

%changelog
* Wed Dec 17 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.1.7-1mdk
- Release 2.1.7.

* Wed Oct  1 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.1.4-2mdk
- cputoolize

* Wed Apr 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.1.4-1mdk
- Release 2.1.4
- Remove all patches (merged upstream)

* Wed Mar  5 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.1.3-11mdk
- Drop hard dependency on freetype2 package release

* Thu Feb 27 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.1.3-10mdk
- Split to standalone package to avoid cyclical dependencies
  with XFree86.

* Thu Feb 27 2003 Stefan van der Eijk <stefan@eijk.nu> 2.1.3-9mdk
- BuildRequires: XFree86-devel

* Mon Feb 24 2003 Pixel <pixel@mandrakesoft.com> 2.1.3-8mdk
- fix memory leak with .pcf.gz files

* Fri Feb 21 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.1.3-7mdk
- Added tools

* Sun Feb  2 2003 Stefan van der Eijk <stefan@eijk.nu> 2.1.3-6mdk
- move Requires: zlib-devel from -static-devel package to -devel

* Wed Jan 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-5mdk
- Update patch0 to fix gzip file detection (from CVS)

* Mon Jan 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-4mdk
- Update patch0 to really link with zlib

* Mon Jan 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-3mdk
- Patch0 (CVS): use external zlib
- Patch1 (CVS): implement light hint
- Patch2 (CVS): fix bug with corrupted fonts and recursive composite glyphs

* Wed Nov 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-2mdk
- Remove patch0 (replaced with perl search&remplace) (Guillaume Rousse)

* Tue Nov 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3
- Remove patches 1, 2, 3, 4, 5, 6, 7 (merged upstream), 8 (no longer needed)

* Wed Nov 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-3mdk
- Add static subpackage (Mats D. Wichmann)

* Mon Nov  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-2mdk
- Patch8 (rawhide) : Add an experimental FT_Set_Hint_Flags() call

* Tue Oct 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2
- configure macro is back
- Patch1 (Rawhide): fix bug in PS hinter
- Patch2 (Rawhide): Support Type1 BlueFuzz value
- Patch3 (Rawhide): Another PS hinter bug fix (rawhide)
- Patch4 (CVS): fix outline transformation
- Patch5 (CVS): Backport autohinter improvements 
- Patch6 (Anthony Fok): prevent crash with broken TT fonts
- Patch7 (Rawhide): fix bug with PCF metrics
- Update patch0

* Thu May 16 2002 Yves Duret <yduret@mandrakesoft.com> 2.0.9-3mdk
- removed the 43 unusefull blank lines (??)
- plf-isazacion by Buchan Milne <bgmilne@cae.co.za>
  * enable the bytecode interpreter when built with --with plf

* Mon May 06 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.9-2mdk
- Automated rebuild in gcc3.1 environment

* Wed Mar 20 2002 David BAUDENS <baudens@mandrakesoft.com> 2.0.9-1mdk
- 2.0.9
- devel: Requires: %%version-%%release and not only %%version
- Use ./configure
- Don't build static libraries
- Move documentation in devel package
- Spec clean up

* Tue Jan 25 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.0.6-1mdk
- Release 2.0.6.
- Added URL.

* Sun Oct 28 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0.5-1mdk
- Release 2.0.5.
- fixed executable permission on docs files.
- s/Copyright/License/.

* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4

* Wed May 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3
- Remove patch0 (Type1 fonts are corrected)

* Wed Apr 25 2001 Geoffrey Lee <snailtalk@mandrakesot.com> 2.0.2-4mdk
- Spec patch from Abel Cheung to fix build on certain machines 
  (personally I have no idea why it happens).

* Mon Apr 09 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0.2-3mdk
- patched t1load patch (Arnd Bergmann).

* Mon Apr 09 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0.2-2mdk
- added Tom Kacvinsky patch to fix problem with ancient URW fonts,
  libXft segfaults, etc. (thanks to Arnd Bergmann).

* Sat Mar 31 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0.2-1mdk
- 2.0.2 final.
- removedft2build patch.

* Mon Dec 11 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-0.20001211.1mdk
- Snapshot version from CVS (needed for xrender)
- Patch ft2build.h to use correct path (Fred Lepied)
- Remove patch1 (not longer needed)
- Remove patch2 (merged upstream)

* Sat Dec 02 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0.1-1mdk
- new and shiny source bumped into cooker.
- obsolete patch as the bug is fixed.
- use RPM_OPT_FLAGS.

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-3mdk
- Include all modules in lib (no longer apply patch1)

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-2mdk
- Add config script to devel package
- correctly configure package

* Fri Nov 10 2000 Geoffrey Lee <snailtalk@manrakesoft.com> 2.0-1mdk
- really 2.0 release.

* Wed Nov  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-0.8.1mdk
- First mandrake release

* Thu Oct  5 2000 Ramiro Estrugo <ramiro@eazel.com>
- Created this thing
